Delete
curl --request DELETE \
--url https://api.paygentic.io/v0/testClocks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/testClocks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/testClocks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "tc_m1n2o3p4q5r6s7t8",
"createdAt": "2024-01-01T00:00:00Z",
"currentTime": "2024-03-31T23:59:59Z",
"deletedAt": "2024-04-01T10:00:00Z",
"description": "Test clock for quarterly subscription billing",
"merchantId": "org_u9v0w1x2y3z4a5b6",
"name": "Quarterly Billing Test",
"updatedAt": "2024-03-31T23:59:59Z"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Test Clocks
Delete
Soft deletes a test clock. The clock will be marked as deleted but not removed from the database.
DELETE
/
v0
/
testClocks
/
{id}
Delete
Authorizations
API key authentication
Path Parameters
The unique identifier of the test clock
Pattern:
^tc_[a-zA-Z0-9]{16}$Response
Test clock deleted successfully
Unique identifier for the test clock
Pattern:
^tc_[a-zA-Z0-9]{16}$When the test clock was created
The simulated current time of the test clock
The merchant organization that owns this test clock
When the test clock was last updated
When the test clock was deleted (if applicable)
Description of the test clock's purpose
Name of the test clock
Was this page helpful?